%global pypi_name jpy
%global commitId 39ebe36b47a587eaed4049dabc9ade4361d3fbfd

# Remove need for system java as we expect non-system to be installed
%global __requires_exclude libjvm[.]so.*

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        0.13.0
Release:        2%{?dist}
Summary:        Bi-directional Python-Java bridge

License:        Apache-2.0
URL:            https://github.com/jpy-consortium/jpy
Source0:        python-jpy-39ebe36b47a587eaed4049dabc9ade4361d3fbfd.tar.gz

Patch0:         01-remove-maven-build.patch

BuildRequires:  gcc
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  java-17-openjdk-devel

%description
jpy is a bi-directional Python-Java bridge which you can use to embed Java code in Python programs or the other way round. It has been designed particularly with regard to maximum data transfer speed between the two languages.

%package -n     python%{python3_pkgversion}-%{pypi_name}

Summary:        Bi-directional Python-Java bridge

Requires:       java-17-openjdk-headless

%description -n python%{python3_pkgversion}-%{pypi_name}
jpy is a bi-directional Python-Java bridge which you can use to embed Java code in Python programs or the other way round. It has been designed particularly with regard to maximum data transfer speed between the two languages.

%prep
set -ex
export JAVA_HOME=%{_usr}/lib/jvm/jre-17-openjdk
%autosetup -p 1 -n python-%{pypi_name}-%{commitId}

%build
set -ex
export JAVA_HOME=%{_usr}/lib/jvm/jre-17-openjdk
%{py3_build}

%install
set -ex
export JAVA_HOME=%{_usr}/lib/jvm/jre-17-openjdk
%{py3_install}
sed -i -e 's|%{buildroot}||g' %{buildroot}%{python3_sitearch}/jpyconfig.properties

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc CHANGES.md README.md
%license LICENSE.txt
%{python3_sitearch}/jdl%{python3_ext_suffix}
%{python3_sitearch}/jpyconfig.properties
%{python3_sitearch}/jpyconfig.py
%{python3_sitearch}/jpy%{python3_ext_suffix}
%{python3_sitearch}/jpyutil.py
%{python3_sitearch}/__pycache__/jpyconfig.cpython-39.opt-1.pyc
%{python3_sitearch}/__pycache__/jpyconfig.cpython-39.pyc
%{python3_sitearch}/__pycache__/jpyutil.cpython-39.opt-1.pyc
%{python3_sitearch}/__pycache__/jpyutil.cpython-39.pyc
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Thu Jan 26 2023 James Marshall <jamarsha@redhat.com> 0.13.0-2
- Remove libjvm.so dependency from system java

* Fri Jan 13 2023 James Marshall <jamarsha@redhat.com> 0.13.0-1
- Initial release
